petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatNestSetSubMat

Set a single submatrix in the nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestSetSubMat(Mat A,PetscInt idxm,PetscInt jdxm,Mat sub)

Logically collective on the submatrix communicator

### Input Parameters

| A | - nest matrix
| idxm | - index of the matrix within the nest matrix
| jdxm | - index of the matrix within the nest matrix
| sub | - matrix at index idxm,jdxm within the nest matrix

### Notes

The new submatrix must have the same size and communicator as that block of the nest.

This increments the reference count of the submatrix.

### See Also

MatNestSetSubMats(), MatNestGetSubMats()

### Level

developer

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestSetSubMat_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages